c program collprob_bb2

      implicit none
      integer nmax
      real*8 pi,deg,rad
      parameter(nmax=10000)
      parameter(pi=3.1415926535d0, deg=pi/180.d0, rad=180.d0/pi)

      character*255 file1,file2
      real*8 a1(nmax),a2(nmax),e1(nmax),e2(nmax),inc1(nmax),inc2(nmax)
      real*8 proba,relvel,rmsvel,impvel,v_esc,AU
      integer i,j,n1,n2,numint_cap,numint_the

c read input filenames
      read(*,10,end=990,err=990) file1
10    format(a)
      read(*,10,end=990,err=990) file2

c read astorb-like catalogues
      n1 = nmax
      n2 = nmax
      call read_astorb(file1, a1,e1,inc1,n1)
      call read_astorb(file2, a2,e2,inc2,n2)

c calculate probabilities
      numint_cap = 10
      numint_the = 10
      v_esc = 0.d0      ! km/s -> no focusing in case of asteroids!
      AU = 1.4959787d13 ! cm?!
      write(*,*) '# n1 * n2 = ', n1*n2
      write(*,*) '# proba [10^-18 km^-2 yr^-1] & relvel [km/s] ',
     :  '& rmsvel & impvel'

      do i = 1, n1
        a1(i) = a1(i)*AU
        inc1(i) = inc1(i)*deg
      enddo

      do j = 1, n2
        a2(j) = a2(j)*AU
        inc2(j) = inc2(j)*deg
      enddo

      do i = 1, n1
        do j = 1, n2
c          write(*,*) a1(i),e1(i),inc1(i), a1(i)*(1.d0-e1(i))
c          write(*,*) a2(j),e2(j),inc2(j), a2(j)*(1.d0+e2(j))
          relvel = 0.d0
          rmsvel = 0.d0
          impvel = 0.d0
          call gaussorb(a1(i), e1(i), inc1(i), a2(j), e2(j), inc2(j),
     :      proba, relvel,rmsvel,impvel, numint_cap,numint_the,v_esc)
          write(*,20) proba, relvel, rmsvel, impvel
20        format(g12.4, 3(1x,g12.4))
        enddo
      enddo

      stop

c error handlers

990   continue
      write(*,*) 'Error reading standard input.'

      end


